﻿@import url("/GoianiaPatterns/Theme.GoianiaPatterns.css?61423");

/*
    How to generate a theme for your company: 
    
        1 - Go to http://www.outsystems.com/goto/themegenerator
        2 - Copy the generated CSS
        3 - Paste it here

*/

.BoxMain{
border-color: rgb(187, 185, 185);
border-style: solid;
border-width: 0.5px;
box-shadow: inset 1px 1px 1px rgb(255, 255, 255), 5px 7px 10px rgb(65, 64, 64);
margin-right: 0px;
margin-bottom: 25px;
margin-top: 25px;
}

body {
    background: #eee; 
}

html, body, div, span, a, img, ul, li, form {
    font-size: 11pt;
}


/* Pages Settings */
.Pages{
    margin: 0;
}
.Page {
    background: white;
    display: block;
    margin: 0;
    margin-bottom: 0pt;
    box-shadow: 0 0 0 0.75pt #d1d1d1,0 0 3pt 0.75pt #ccc;
    position: relative;
    counter-increment: myIndex;
}
.Page.A4 {  
  width: 20.9cm;
  height: 29.6cm; 
  page-break-after: always;
  margin-top: 0cm;
  margin-bottom: 0cm;
  margin-left: 3.2cm;
  margin-right: 2.5cm;
  font-family: "Times New Roman", Georgia, Serif;
  font-size: 12px;
  text-align: justify;
  text-justify: inter-word;
}


.page.Carta_Etiqueta {  
    height: 20.9cm;
    width: 27.94cm;
    page-break-after: always;
    margin-top: 1cm;
    margin-bottom: 1cm;
}

/* Header */
.PageHeader{
    padding: 1cm;
}
.PageHeader .PageLogo img{
    width: 100%;
    height: auto;
}


/* Main Content */
.Page .MainPageContent{
    padding: 0 1cm;
    position: absolute;
    top: 4cm;
    bottom: 1cm;
    overflow: hidden;
    margin: 0;
    left: 0;
    right: 0;
}
.Page.Landscape .MainPageContent{
    right: 0;
    left: 0;
    top: 5.5cm;
}

/* Footer */
.FooterContent{
    text-align: center;
    font-size: small;portrait
    color: #666;
    position: relative;
    padding: 0.3cm 0cm;
}
.RodapeContent{
    text-align: left !important;
    font-size: 6px !important; 
    color: #666;
    position: relative;
    padding: 0.3cm 0cm;
    font-family: "Times New Roman" !important;
}

.PageFooter{
    position: absolute;
    bottom: 0;
    width: 100%;   
}
.FooterContent .PageNumber{
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 0.3cm;
}



/* Print Top Menu */
.Toolbar{
    position: fixed;
    width: 100%;
    z-index: 4;
    transform: none !important;
    background: rgba(255, 255, 255, 0.3);
    top:0;
    
}

.Toolbar .Aligner{
    position: relative;
    padding: 0 5%;
    display: flex;                   /* establish flex container */
    flex-direction: row;             /* default value; can be omitted */
    flex-wrap: nowrap;               /* default value; can be omitted */
    justify-content: space-between;  /* switched from default (flex-start, see below) */
}
.Toolbar .Buttons{
    -webkit-user-select: none;
    width: 100px;
    text-align: right;
    margin-top: 0;
    margin-left: auto;
}


/* Print Top Menu */
/* Print Button */
.Toolbar .paper-toolbar{
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    color: rgb(241, 241, 241);
    font-size: 1.5em;  
    display: block;
    position: relative;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    background: rgba(50, 54, 57, 0.9);
    color: #ffffff;
    padding: 5px 0;
}
.Toolbar .PageSelector{
    position: absolute;
    left: 50%;
    transform: translate(-50%,0);
    width: 100px;
    text-align: center;
    white-space: nowrap;
    height: 32px;
}

.CurrPageNumber{
    position: relative;
    box-shadow: none !important;
    padding: 0 !important;
    background: rgba(0, 0, 0, 0) !important;
    border: none !important;
    outline: none !important;
    color: #212121 !important;
    -webkit-appearance: none !important;
    text-align: inherit !important;
    -webkit-font-smoothing: antialiased !important;
    font-size: 16px !important;
    font-weight: 400 !important;
    line-height: 24px !important;
    height: auto  !important;
    width: auto !important;
    max-width: auto !important;
    min-width: 0  !important;
    -webkit-margin-start: -3px !important;
    color: #fff !important;
    line-height: 18px !important;
    padding: 3px !important;
    text-align: end !important;
    
}
.CurrPageNumber:focus,.CurrPageNumber:hover{
    background-color: rgba(0, 0, 0, 0.5) !important;
    border-radius: 2px !important;
}
.Button.GoToPage{
    display:none !important;
}
.PageTotal{
    color: #fff;
    font-size: 94.4%;
}

/* Print Top Menu */
/* Bookmark Button */
.PaperIconButton,.BookmarkIconButton{
    display: inline-block;
    position: relative;
    outline: none;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    z-index: 0;
    line-height: 1;
    box-sizing: border-box !important;
    height: 32px;
    padding: 6px;
    width: 32px;
    margin: 0;
}
.BookmarkIconButton:hover .BookmarkContainer{
    display: block;
}
.BookmarkContainer{
    position: absolute;
    top: 32px;
    right: 0;
    margin: 0;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    background-color: rgb(256, 256, 256);
    border-radius: 4px;
    overflow-y: hidden;
    padding-bottom: 2px;
    width: auto;
    display: none;
}
.BookmarkContainer .BookmarkTitle{
    border-bottom: 1px solid rgb(219, 219, 219);
    color: rgb(33, 33, 33);
    font-weight: bold;
    margin: 0;
    padding: 5px 28px 12px;
    display: block;
    -webkit-margin-before: 0.67em;
    -webkit-margin-after: 0.67em;
    -webkit-margin-start: 0px;
    -webkit-margin-end: 0px;  
    text-align: start;
}
.BookmarkContainer .Bookmarks{
    overflow-y: auto;
    padding: 6px 0 4px 0;
    text-align: start;
    color: rgb(241, 241, 241);
    font-size: 1.3em;
}
.BookmarkContainer .Bookmarks .Item{
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -ms-flex-direction: row;
    -webkit-flex-direction: row;
    flex-direction: row;
    color: rgb(80, 80, 80);
    cursor: pointer;
    font-size: 77.8%;
    position: relative;
    white-space: nowrap;
    padding: 10px 28px;
}
.BookmarkContainer .Bookmarks .Item:hover {
    background-color: rgb(237, 237, 237);
    color: rgb(20, 20, 20);
}





/* OutSystems Widgets - TableRecords */
.TableRecords_Wrapper{
}
.TableRecords_BottomNavigation{
    margin: 0;
}
.TableRecords{
    padding: 0;
    margin-top: 0;
    border-bottom: none;
    ;
    border-top: 0.7mm solid #C2C2C2;
}
.TableRecords.printed{
    border-bottom: 0.7mm solid #C2C2C2;
}
.TableRecords_OddLine:first-child, 
.TableRecords_EvenLine:first-child, 
.TableRecords_Header:first-child {
    padding-left: 5mm;
}
.TableRecords_OddLine:last-child, 
.TableRecords_EvenLine:last-child, 
.TableRecords_Header:last-child {
    padding-right: 5mm;
}
.TableRecords_Header {
    color: #999;
    border-bottom: 0.7mm solid #C2C2C2;
    padding: 1.7mm 0 1.7mm 2.7mm;
}
.TableRecords_OddLine, 
.TableRecords_EvenLine {
    border-bottom: 0.5mm solid #C2C2C2;
    padding: 2.5mm 0 2.5mm 3.5mm;
}
.TableRecords>tbody>tr:hover {
    background: #EAF3F3;
}

/* Silk UI*/
/* Columns */
.Columns3 .Column.ColFirst,
.Columns1 > .Column,
.Columns2 > .Column,
.Columns3 > .Column,
.Columns .Column{ padding: 0 !important;}

/* Print Media Querie */
@media print {
    body, body .Page, body .Pages {
        margin: 0cm !important;
        padding:0cm !important;
        box-shadow: none !important;
    }
    
    @page {
        margin: 0cm;
        padding:0cm;
    }
    .Toolbar{
        display: none;
    }
}
